
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用LoadRunner进行http接口功能自动化测试 / iVAN</title>

    <meta name="description" content="利用LoadRunner进行http接口功能自动化测试 自动化测试脚本设计总体流程如下图: 需要取得的输入应预先制作了CSV文件,关在脚本参数配置中定义变量. 自动化测试程序关键代码 1.生成结果文件(html格式),文件名称为 test _系统时间(%Y%m%d%H%M%S)_虚拟用户编号,并写入测试结果文件的html开始标识 CODE: //定义结果文件变量 long file; //定义文件名种子(虚拟用户编号)变量 char *vusernum; //定义测试结果变量 char V_Result[1024]; vuser_init() { /">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用LoadRunner进行http接口功能自动化测试</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　自动化测试脚本设计总体流程如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNGVjZjdmYmE2Mjk1ZTYwZGY0ZjhiZTk2Yzk2MmI4NTUuanBn.jpg"><br />　　需要取得的输入应预先制作了CSV文件，关在脚本参数配置中定义变量。</p>
<p>　　自动化测试程序关键代码</p>
<p>　　1、生成结果文件(html格式)，文件名称为 test  _系统时间(%Y%m%d%H%M%S)_虚拟用户编号，并写入测试结果文件的html开始标识</p>
<p>　　CODE:</p>
<p>　　//定义结果文件变量</p>
<p>　　long file;</p>
<p>　　//定义文件名种子(虚拟用户编号)变量</p>
<p>　　char *vusernum;</p>
<p>　　//定义测试结果变量</p>
<p>　　char V_Result[1024];</p>
<p>　　vuser_init()</p>
<p>　　{</p>
<p>　　//取得文件名种子(虚拟用户编号)</p>
<p>　　vusernum=lr_eval_string ("_{vuserid}");</p>
<p>　　//取得文件种子(系统时间)</p>
<p>　　lr_save_datetime("%Y%m%d%H%M%S", DATE_NOW, "now_date");</p>
<p>　　//拼结测试结果文件名称</p>
<p>　　strcpy(V_Result,"d://test/Result/test");</p>
<p>　　strcat(V_Result,lr_eval_string("_{now_date}"));</p>
<p>　　strcat(V_Result,vusernum);</p>
<p>　　strcat(V_Result,".html");</p>
<p>　　//生成并打开测试结果文件</p>
<p>　　file=fopen(V_Result,"at+");</p>
<p>　　//写入测试文件头部html信息</p>
<p>　　strcpy(V_Result,"&lt;html&gt;&lt;table  border='1'&gt;&lt;tr&gt;&lt; td&gt;IMSI号码&lt;/td&gt;&lt;td&gt;预期值&lt;/td&gt;&lt;td&gt;返回值&lt; /td&gt;&lt;td&gt;结果&lt;/td&gt;&lt;/tr&gt;");</p>
<p>　　fputs(V_Result,file);</p>
<p>　　return 0;</p>
<p>　　}2、从参数化文件读取测试参数和预期结果、发送请求并获得服务器返回实际结果，比较测试结果后写入测试结果文件。</p>
<p>　　CODE:</p>
<p>　　Action()</p>
<p>　　{</p>
<p>　　//测试结果文本</p>
<p>　　char V_testres[1024];</p>
<p>　　//定义返回结果是否正确变量</p>
<p>　　int result;</p>
<p>　　//取得IMSI号码</p>
<p>　　char *V_imsi=lr_eval_string ("{IMSI}");</p>
<p>　　//设置页面接收最大的字节数，该设置应大于服务器返回内容的大小</p>
<p>　　web_set_max_html_param_len("20000");</p>
<p>　　//取得服务器返回内容</p>
<p>　　web_reg_save_param("filecontent",</p>
<p>　　"LB=",</p>
<p>　　"RB=",</p>
<p>　　"Search=Body",</p>
<p>　　LAST);</p>
<p>　　//发送请求</p>
<p>　　web_submit_data("login",</p>
<p>　　"Action=http://host:port/autonavit/search?cmd=clientlogin&amp;termver=5&amp;termcode=30001&amp;termdbver=3 ",</p>
<p>　　"Method=POST",</p>
<p>　　"RecContentType=text/html",</p>
<p>　　"Referer=",</p>
<p>　　"Snapshot=t9.inf",</p>
<p>　　"Mode=HTTP",</p>
<p>　　ITEMDATA,</p>
<p>　　"Name=imsi", "Value={IMSI}", ENDITEM,</p>
<p>　　LAST);</p>
<p>　　//比较预期值和实际值是否相等</p>
<p>　　result=strcmp(lr_eval_string("{YQJG}"),lr_eval_string("{filecontent}"));</p>
<p>　　if ( result == 0 )</p>
<p>　　{</p>
<p>　　strcpy(V_testres,"通过");</p>
<p>　　}</p>
<p>　　else</p>
<p>　　{</p>
<p>　　strcpy(V_testres,"失败");</p>
<p>　　}</p>
<p>　　strcpy(V_Result,"&lt;tr&gt;&lt;td&gt;");</p>
<p>　　//写入测试参数</p>
<p>　　strcat(V_Result,V_imsi);</p>
<p>　　strcat(V_Result,"&lt;/td&gt;");</p>
<p>　　strcat(V_Result,"&lt;td id='yq'&gt;");</p>
<p>　　//写入预期结果</p>
<p>　　strcat(V_Result,lr_eval_string("{YQJG}"));</p>
<p>　　strcat(V_Result,"&lt;/td&gt;");</p>
<p>　　strcat(V_Result,"&lt;td id='sj'&gt;");</p>
<p>　　//写入实际结果</p>
<p>　　strcat(V_Result,lr_eval_string("{filecontent}"));</p>
<p>　　strcat(V_Result,"&lt;/td&gt;");</p>
<p>　　strcat(V_Result,"&lt;td&gt;");</p>
<p>　　//写入测试是否通过</p>
<p>　　strcat(V_Result, V_testres);</p>
<p>　　strcat(V_Result,"&lt;/td&gt;&lt;/tr&gt;");</p>
<p>　　fputs(V_Result,file);</p>
<p>　　return 0;</p>
<p>　　}3、写入测试结果文件尾部html信息，关闭文件并结束测试。</p>
<p>　　CODE:</p>
<p>　　vuser_end()</p>
<p>　　{</p>
<p>　　//结束并关闭文件</p>
<p>　　strcpy(V_Result,"&lt;/table&gt;&lt;/html&gt;");</p>
<p>　　fputs(V_Result,file);</p>
<p>　　fclose(file);</p>
<p>　　return 0;</p>
<p>　　}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 17:51:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%9c/" title="结果">结果</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e5%8c%96%e6%b5%8b%e8%af%95/" title="自动化测试">自动化测试</a>, <a href="https://www.iamivan.net/tag/strcpy/" title="strcpy">strcpy</a>, <a href="https://www.iamivan.net/tag/%e9%80%9a%e8%bf%87imsi%e8%8e%b7%e5%8f%96%e5%bd%92%e5%b1%9e%e5%9c%b0/" title="通过imsi获取归属地">通过imsi获取归属地</a>, <a href="https://www.iamivan.net/tag/leveldb-%e6%b5%8b%e8%af%95%e7%bb%93%e6%9e%9c/" title="leveldb  测试结果">leveldb  测试结果</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95%e7%bb%93%e6%9e%9c/" title="测试结果">测试结果</a>, <a href="https://www.iamivan.net/tag/imsi%e5%ba%8f%e5%88%97%e5%8f%b7/" title="IMSI序列号">IMSI序列号</a>, <a href="https://www.iamivan.net/tag/strcat/" title="strcat">strcat</a>, <a href="https://www.iamivan.net/tag/strcat%e5%87%bd%e6%95%b0%e5%ae%9e%e7%8e%b0/" title="strcat函数实现">strcat函数实现</a>, <a href="https://www.iamivan.net/tag/strcat%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="strcat字符串">strcat字符串</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%9c%baimsi%e7%a0%81/" title="手机IMSI码">手机IMSI码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用LoadRunner进行http接口功能自动化测试的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWm7mp.html" rel="bookmark">利用Chrome浏览器&OpenCurlyDoubleQuote;自动下载&rdquo;功能窃取Windows登录密码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是利用Chrome浏览器&quot;自动下载&quot;功能窃取Windows登录密码,在过去的十几年中,除了IE以及Edge浏览器之外,其余还没有公开针对SMB认证攻击的方法.这篇文章介绍的攻击方法是通过全世界最受欢迎的浏览器Google Chrome中的默认配置进行Windows登录密码盗取.影响范围为Windows所有版本的Google Chrome. 漏洞利用 在默认设置环境中,Chrome会自动下载认为安全的文件,不再询问用户其存放位置.从安全的角度来看,这一功能来看好像不是那么安全,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6JKlz.html" rel="bookmark">交换机利用DHCP Relay进行address-check功能的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DHCP Relay进行address-check功能的 配置过程如下:一 组网需求1．在交换机上启动VLAN接口下用户地址合法性的检查,利用配置DHCP中继的安全地址表项,使配置了DHCP Relay的VLAN内的合法固定IP地址用户能够通过DHCP安全特性的地址合法性检查:2．SwitchA作为DHCP Server,SwitchB使能DHCP Relay功能.在SwitchB上开启address-check功能,PC2的mac地址为0015-c50d-20cf, 手动设置PC2的ip地址为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgmB6b.html" rel="bookmark">利用LoadRunner编写socket性能测试脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 Loadrunner拥有极为丰富的工具箱,供予我们制造出各种奇妙魔法的能力.其中就有此次要讨论的socket套接字操作. 二.socket概述 socket是操作系统中I/O系统的网络延伸部分,它扩展了操作系统的基本I/O到网络通信,使进程和机器之间的通信成为可能.如果想完全地理解socket在Loadrunner中如何工作的,熟悉一些关于它的历史会很有帮助. 当前常用的socket,最早起源于BSD UNIX类的操作系统.在UNIX系统上,比如BSD,把对网络的支持加入操作系统,以一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVXePBM.html" rel="bookmark">利用环信集成im功能需要自己配置app server吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 利用环信集成im功能需要自己配置app server吗 解决方案 意思是环信具有保存好友关系,用户信息,群组等功能?解决方案二:好友体系建议您自己,用户头像昵称等属性也是您自己服务器维护的.环信保存您为您app下用户注册的id和聊天记录,聊天记录您可以调用rest接口导出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxXZGM.html" rel="bookmark">ASP&period;NET中利用DataGrid的自定义分页功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|分页 ASP.NET中利用DataGrid的自定义分页功能和存储过程结合实现高效分页 ASP.Net中的DataGrid有内置分页功能, 但是它的默认的分页方式效率是很低的,特别是在数据量很大的时候,用它内置的分页功能几乎是不可能的事,因为它会把所有的数据从数据库读出来再进行分页, 这种只选取了一小部分而丢掉大部分的方法是不可去取的. 在最进的一个项目中因为一个管理页面要管理的数据量非常大,所以必须分页显示,并且不能用DataGrid的内置分页功能,于是自己实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWgRAM.html" rel="bookmark">利用WSH实现关闭计算机功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用WSH实现关闭计算机功能,其实很简单,采用下面的语句即可. 把下面的语句保存为test.vbs,然后运行,就可以看到效果. Set objshell = wscript.CreateObject(&quot;Shell.Application&quot;) objshell.ShutdownWindows			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9EAoXM.html" rel="bookmark">利用PS CS6的新功能保持ICON细节饱满完美</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一些本来尺寸很大,质量很不错的高清png图片,经过缩小转为icon时却变得惨不忍睹(图标的细节损失严重)而当我们去看那些专业人士制作的icon时,却发现,对方制作的icon尺寸虽小,但是细节却保持的非常好,这里面难道有什么技巧么?今天分享一篇关于利用Photoshop cs6网格对齐功能绘制高清icon的文章. Photoshop CS6自发布以来,一直颇受好评,细心的朋友可能发现最新的PS CS6支持矢量对象绘制.变换时像素自动对齐网格,而且非常好用.PS CS6的像素自动对齐网格功能在绘			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkX42b.html" rel="bookmark">如何利用arm mini2440实现摄像功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何利用arm mini2440实现摄像功能 如题,现在板子已经买好了,摄像头也有了,利用板子上的软件可以简单的进行拍照,然而我想知道倘若没有这个软件该怎么做,还有摄像功能又该如何实现,希望能够得到大家的帮助,谢谢~ 解决方案 实现基于Linux的视频采集可以使用开源软件FFMPEG来实现. 主要的步骤为: 1. 从ffmpeg官网下载源码: 为mini2440交叉编译ffmpeg: 3 将编译好的ffmpeg拷贝的你的mini2440上: 4 将USB摄像头查到Mini2440的uS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlZXAp.html" rel="bookmark">利用jquery&period;autocomplete自动完成功能实现百度搜索下拉功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用jquery.autocomplete自动完成功能实现百度搜索下拉功能 --&gt; &lt;script language=&quot;网页特效&quot; src=&quot;jquery.autocomplete.js&quot;&gt;&lt;/script&gt; &lt;script&gt; $().ready(function() {  $(&quot;#borough_name&quot;).autocomplete(&quot;z.php教程&quot;, {   minchars:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK0gaM.html" rel="bookmark" class="title">解决方法&colon;An error occurred on the server when processing the URL&period; Please contact the system administrator</a>
					<div>
						  在WINDOWS7或SERVER2008上安装了IIS7.5,调试ASP程序时出现以下错误: An error occurred on the server when processing the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmZg3z.html" rel="bookmark" class="title">PHP4实际应用经验篇&lpar;3&rpar;</a>
					<div>
						在PHP中,最简单的条件语句的形式是 &quot;if&quot; 语句,一般如下所示: ------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ77kVb.html" rel="bookmark" class="title">网页截图工具php&plus;IECapt简介</a>
					<div>
						IECapt可以将捕获网页,生成BMP.JPEG 或 PNG格式的图片,包含C++和C#两种版本,不足是依赖于Internet Explorer,这就决定了它只能在Windows下使用.IECapt是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrrk8p.html" rel="bookmark" class="title">通过jQuery在IE6中实现选择器标签</a>
					<div>
						在上一篇&lt;CSS属性选择器制作个性化链接样式&gt;中,我们使用css的选择器标签来实现相 关功能.但是css 选择器虽然被绝大部分浏览器支持,但是不被该死的IE6支持,那么怎么办 呢?是的,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaX2eM.html" rel="bookmark" class="title">C&num;中使用byte&lbrack;&rsqb;数据，生成Bitmap</a>
					<div>
						/// &lt;summary&gt; /// 使用byte[]数据,生成256色灰度 BMP 位图 /// &lt;/summary&gt; /// &lt;param name=&quot;ori ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaBxAM.html" rel="bookmark" class="title">调出外景人物图片流行的黄绿中性色</a>
					<div>
						中性色图片的调色重点是对色彩的控制,整体的色调不宜过重也不宜过淡.处理之前可以直接用降低饱和度的方法作出中性的底色,然后根据个人喜好适当加强局部的颜色,作出想要的效果.   原图 &lt;点小图查看大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7e8mM.html" rel="bookmark" class="title">Android画图并保存图片的具体实现代码</a>
					<div>
						这篇文章介绍了在Android中画图并保存图片的实例,以下是具体的实现方法,有需要的朋友可以参考一下   Canvas是一个画布,你可以建立一个空白的画布,就直接new一个Canvas对象,不需要参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91e3VM.html" rel="bookmark" class="title">win7系统使用腾讯播放视频没声音怎么办？</a>
					<div>
						win7系统使用腾讯播放视频没声音怎么办?   具体步骤如下: 1.被静音,看看电脑任务栏上面的喇叭图标是不是已经静音,或者腾讯视频客户端是不是已经静音啦,把它开开就行. 2.耳机连接的问题,经常一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNE7lb.html" rel="bookmark" class="title">JS&plus;CSS实现侧边栏跟随浏览器滚动效果</a>
					<div>
						看月光博客,卢松松博客,文章页的侧边栏都可以随着浏览器滚动而停留在页面,羡慕了吧.其实我们也可以用这种特效的呢.下面,就讲讲如何实现这个效果吧~这个是卢松松博客原创的,我稍稍介绍了一下而已哈! 一:这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo72YEb.html" rel="bookmark" class="title">PS抽象韵律感图案的制作方法</a>
					<div>
						  前言 抽象图非常容易制作,尽量放大胆子放空大脑,不具象的鼓捣下去,也许就是一幅杰作横空出世.也就因为它在创作中的无拘无束,反而给人增加了很多不可名状的难度.今天我们来制作一款非常简单,但绝对让人耳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywxnPz.html" rel="bookmark" class="title">盘点：各类企业的智慧社区运营模式</a>
					<div>
						智慧社区的概念已经喊了很多年,北上广等较为发达的地区也已经出现了初具形态的智慧社区,但总的来说,国内的智慧社区建设尚处于探索阶段,有许多问题还需要得到解决,智慧社区的业务整合较难就是其一. 由于智慧社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQK2Vp.html" rel="bookmark" class="title">新手求解答一下-新手求解释代码！！！</a>
					<div>
						问题描述 新手求解释代码!!! 新手求解释代码!!!新手求解释代码!!!新手求解释代码!!! 解决方案 你先解释下为什么有注释还看不懂,以及为什么拍个照片只有代码的左半边.还有,请解释你希望怎么解释. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjdVrp.html" rel="bookmark" class="title">如何监控业务的响应速度？Cloud Insight SDK 实践分享</a>
					<div>
						一直在说 Cloud Insight 是数据聚合平台,可以用 SDK 和 API 实现业务监控,如今不拿出点实践人们恐怕是不能信服.那今天本文就先简单介绍一下 SDK 可以应用在哪些方面,再举个真实用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZJmXp.html" rel="bookmark" class="title">&lbrack;MySQL 学习&rsqb; Innodb Optimistic Delete 简述</a>
					<div>
						接口函数是btr_cur_optimistic_delete Innodb的Optimistic Delete操作主要是由purge线程来进行的,用户线程仅仅做了删除标记(包括删除记录,更新二级索引以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR3Eap.html" rel="bookmark" class="title">使用HIVE SQL实现推荐系统数据补全</a>
					<div>
						需求 在推荐系统场景中,如果基础行为数据太少,或者过于稀疏,通过推荐算法计算得出的推荐结果很可能达不到要求的数量. 比如,希望针对每个item或user推荐20个item,但是通过计算只得到8个,剩下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeROZwb.html" rel="bookmark" class="title">正则表达式笔记三则&lowbar;正则表达式</a>
					<div>
						首字母大小写无关模式 有一段时间,我在写正则表达式来匹配Drug关键字时,经常写出 /viagra|cialis|anti-ed/ 这样的表达式.为了让它更美观,我会给关键词排序:为了提升速度,我会使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94leXb.html" rel="bookmark" class="title">在Silverlight中使用HierarchicalDataTemplate为TreeView实现递归树状结构</a>
					<div>
						转自http://www.cnblogs.com/chenxizhang/archive/2011/06/22/2087692.html   这是项目中一个页面上的一个功能.我们需要在界面上通过一个T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBOLOz.html" rel="bookmark" class="title">Armadillo C&plus;&plus; Library 3&period;2发布 C&plus;&plus;线性代数库</a>
					<div>
						Armadillo 是一个具有平衡速度与易用性的C++++线性代数库(矩阵数学),支持的操作平台包括:Linux .Mac OS X 和 Windows.主要功能是支持整数.浮点数和复杂的数字,以及子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7AKaz.html" rel="bookmark" class="title">微博叫好不叫座</a>
					<div>
						微博叫好不叫座,在互联网行业每三五年就大幅变换应用的时代,新浪还来得及吗? 文 | 本刊记者 袁茵 编辑 | 袭祥德 &quot;随时随地分享身边的新鲜事儿&quot;.这是一句亿万网民尤其是新浪微博 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK55qEp.html" rel="bookmark" class="title">FormData收集表单信息&amp;amp&semi;amp&semi;并且转化为Json格式进行提交验证</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyL8mz.html" rel="bookmark" class="title">爱奇艺数据研究院：大数据下如何生产一部影视剧</a>
					<div>
						在大数据概念下,美国视频网站Netflix豪赌1亿美元制作的连续剧&lt;纸牌屋&gt;迅速走红.这让国内视频网站蠢蠢欲动. 数据的力量能否指导他们自制剧的拍摄? 爱奇艺数据研究院院长葛承志告诉记者, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBQRaz.html" rel="bookmark" class="title">java在jtextarea（文本域）中如何添加按纽</a>
					<div>
						问题描述 java在jtextarea(文本域)中如何添加按纽 java在jtextarea(文本域)中如何添加按纽,我做的是一个超市管理系统要求在商品订单后面自动生成一个一个查看详情的按钮. 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLelOM.html" rel="bookmark" class="title">广电总局：各地积极展开清理整治无证网站工作</a>
					<div>
						中新网11月23日电广电总局新闻发言人朱虹日前就广电总局加强互联网视听节目管理回答记者提问.朱虹透露,目前,各地广电部门目前已积极与相关部门共同展开清理整治无证网站的工作. 朱虹指出,广电总局要求各级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nkrnz.html" rel="bookmark" class="title">《淘宝店铺营销推广一册通》一1&period;4　优化宝贝描述，让成交飞</a>
					<div>
						1.4 优化宝贝描述,让成交飞 淘宝店铺营销推广一册通 顾客进来了,能否留住顾客,能否刺激顾客产生购买行为,将顾客变成买家,关键就在于宝贝描述上,宝贝描述的好与坏,将直接影响到商品的销量.因此,宝贝描 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M608vJz.html" rel="bookmark" class="title">O2O探秘：实体店背后的科学</a>
					<div>
						本文讲的是O2O探秘:实体店背后的科学,&quot;双十一&quot;购物狂欢节刚刚落下帷幕,电商又开始酝酿&quot;双十二&quot;的到来.11日凌晨,阿里巴巴公布了2015双十一购物狂欢节的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKnP8z.html" rel="bookmark" class="title">为jQuery&period;Treeview添加右键菜单的实现代码&lowbar;jquery</a>
					<div>
						先上图: jquery.treeview 数据通过JSON数据加载,有需要的朋友,可以通jquery的AJAX方法获取相关的JSON数据 json的数据格式:{&quot;id&quot;:1,&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLEYjM.html" rel="bookmark" class="title">PHP中生成UUID自定义函数分享&lowbar;php技巧</a>
					<div>
						UUID 全称是 Universally unique identifier,它是一种识别符,使用任意的计算机都可以生成,不需要一个中央数据库进行管理,即可以保证几乎没有重复的几率.而 UUID 的值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8EvAb.html" rel="bookmark" class="title">PHP实现的加密解密处理类&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP实现的加密解密处理类.分享给大家供大家参考,具体如下: &lt;?php /*=================================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8roAb.html" rel="bookmark" class="title">Android仿支付宝手势密码解锁功能&lowbar;Android</a>
					<div>
						Starting 创建手势密码可以查看 CreateGestureActivity.java 文件. 登陆验证手势密码可以看 GestureLoginActivity.java 文件. Feature ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnDk5p.html" rel="bookmark" class="title">服务器价格指导 3月四路机架产品选购</a>
					<div>
						3月初,四路机架产品价格稳中有降,需要订货;机型上没有变化. 一.调查机型 本期调查的主要系列包括:惠普 DL580G9和DL560G9,联想的x3850X6和RQ940,戴尔的R930,浪潮NF84 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
